Expire a Charge
curl --request POST \
--url https://api.hel.io/v1/charge/api-key/{token}/expire \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hel.io/v1/charge/api-key/{token}/expire"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hel.io/v1/charge/api-key/{token}/expire', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
CHARGES
Expire a Charge
Programmatically expire an unpaid charge to cancel a pending checkout session or invalidate a payment link.
POST
/
v1
/
charge
/
api-key
/
{token}
/
expire
Expire a Charge
Note: When using the production environment at moonpay.hel.io, set your API endpoint to
api.hel.io/v1 and generate API keys there. For the development environment, use api.dev.hel.io/v1 and generate API keys from moonpay.dev.hel.io.Authorizations
Authentication using JWT token
Path Parameters
The charge token (e.g. the segment at the end of https://app.hel.io/charge/{token}).
Query Parameters
Your API key, which can be generated from the Helio Dashboard settings page.
Response
The charge was expired successfully. No response body.
